- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxMesh::DuplicateVertex Class Reference

Search for all occurrences

## Detailed Description

Internal structure used to keep the duplicate vertex information.

Definition at line 394 of file fbxmesh.h.

`#include <fbxmesh.h>`

List of all members.

## Public Member Functions
| DuplicateVertex ()
| Constructor.
## Public Attributes
int | lVertexPolyIndex
| Index in mPolygonsVertex where the vertex is found.
int | lNewVertexIndex
| The new index of the vertex.
FbxVector4 | lNormal
| The normal associated with this duplicate control point.
FbxVector2 | lUV
| The UV associated with this duplicate control point.
int | lEdgeIndex
| The edge index.

## Constructor & Destructor Documentation

DuplicateVertex | ( |  | ) | `[inline]`

Constructor.

Definition at line 398 of file fbxmesh.h.

                              :
              lVertexPolyIndex(0),
              lNewVertexIndex(0),
              lNormal(0,0,0)
              {
              };

## Member Data Documentation

int lVertexPolyIndex

Search for all occurrences

Index in mPolygonsVertex where the vertex is found.

Definition at line 403 of file fbxmesh.h.

int lNewVertexIndex

Search for all occurrences

The new index of the vertex.

Definition at line 406 of file fbxmesh.h.

FbxVector4 lNormal

Search for all occurrences

The normal associated with this duplicate control point.

Definition at line 407 of file fbxmesh.h.

FbxVector2 lUV

Search for all occurrences

The UV associated with this duplicate control point.

Definition at line 408 of file fbxmesh.h.

int lEdgeIndex

Search for all occurrences

The edge index.

Definition at line 410 of file fbxmesh.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxmesh.h

FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex
FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex FbxMesh::DuplicateVertex